org.apache.olingo.commons.api.edm.provider

## Class CsdlEntityContainer

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlEntityContainer

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlEntityContainer
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl entity container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlEntityContainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CsdlActionImport` | `getActionImport(String name)` Gets the first action import with given name.
    `List<CsdlActionImport>` | `getActionImports()` Gets action imports.
    `List<CsdlActionImport>` | `getActionImports(String name)` Gets all action imports with given name.
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlEntitySet` | `getEntitySet(String name)` Gets entity set.
    `List<CsdlEntitySet>` | `getEntitySets()` Gets entity sets.
    `String` | `getExtendsContainer()` Gets extends container.
    `FullQualifiedName` | `getExtendsContainerFQN()` Gets extends container fQN.
    `CsdlFunctionImport` | `getFunctionImport(String name)` Gets the first function import with given name.
    `List<CsdlFunctionImport>` | `getFunctionImports()` Gets function imports.
    `List<CsdlFunctionImport>` | `getFunctionImports(String name)` Gets all function imports with given name.
    `String` | `getName()` Gets name.
    `CsdlSingleton` | `getSingleton(String name)` Gets singleton.
    `List<CsdlSingleton>` | `getSingletons()` Gets singletons.
    `CsdlEntityContainer` | `setActionImports(List<CsdlActionImport> actionImports)` Sets action imports.
    `CsdlEntityContainer` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlEntityContainer` | `setEntitySets(List<CsdlEntitySet> entitySets)` Sets entity sets.
    `CsdlEntityContainer` | `setExtendsContainer(String extendsContainer)` Sets extends container.
    `CsdlEntityContainer` | `setFunctionImports(List<CsdlFunctionImport> functionImports)` Sets function imports.
    `CsdlEntityContainer` | `setName(String name)` Sets name.
    `CsdlEntityContainer` | `setSingletons(List<CsdlSingleton> singletons)` Sets singletons.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlEntityContainer

          public CsdlEntityContainer()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlEntityContainer setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getExtendsContainer

          public String getExtendsContainer()

      Gets extends container.
      Returns:
        the extends container

    - #### getExtendsContainerFQN

          public FullQualifiedName getExtendsContainerFQN()

      Gets extends container fQN.
      Returns:
        the extends container fQN

    - #### setExtendsContainer

          public CsdlEntityContainer setExtendsContainer(String extendsContainer)

      Sets extends container.
      Parameters:
        `extendsContainer` - the extends container
      Returns:
        the extends container

    - #### getEntitySets

          public List<CsdlEntitySet> getEntitySets()

      Gets entity sets.
      Returns:
        the entity sets

    - #### getEntitySet

          public CsdlEntitySet getEntitySet(String name)

      Gets entity set.
      Parameters:
        `name` - the name
      Returns:
        the entity set

    - #### setEntitySets

          public CsdlEntityContainer setEntitySets(List<CsdlEntitySet> entitySets)

      Sets entity sets.
      Parameters:
        `entitySets` - the entity sets
      Returns:
        the entity sets

    - #### getActionImports

          public List<CsdlActionImport> getActionImports()

      Gets action imports.
      Returns:
        the action imports

    - #### getActionImport

          public CsdlActionImport getActionImport(String name)

      Gets the first action import with given name.
      Parameters:
        `name` - name.
      Returns:
        action import.

    - #### getActionImports

          public List<CsdlActionImport> getActionImports(String name)

      Gets all action imports with given name.
      Parameters:
        `name` - name.
      Returns:
        action imports.

    - #### setActionImports

          public CsdlEntityContainer setActionImports(List<CsdlActionImport> actionImports)

      Sets action imports.
      Parameters:
        `actionImports` - the action imports
      Returns:
        the action imports

    - #### getFunctionImports

          public List<CsdlFunctionImport> getFunctionImports()

      Gets function imports.
      Returns:
        the function imports

    - #### getFunctionImport

          public CsdlFunctionImport getFunctionImport(String name)

      Gets the first function import with given name.
      Parameters:
        `name` - name.
      Returns:
        function import.

    - #### getFunctionImports

          public List<CsdlFunctionImport> getFunctionImports(String name)

      Gets all function imports with given name.
      Parameters:
        `name` - name.
      Returns:
        function imports.

    - #### setFunctionImports

          public CsdlEntityContainer setFunctionImports(List<CsdlFunctionImport> functionImports)

      Sets function imports.
      Parameters:
        `functionImports` - the function imports
      Returns:
        the function imports

    - #### getSingletons

          public List<CsdlSingleton> getSingletons()

      Gets singletons.
      Returns:
        the singletons

    - #### getSingleton

          public CsdlSingleton getSingleton(String name)

      Gets singleton.
      Parameters:
        `name` - the name
      Returns:
        the singleton

    - #### setSingletons

          public CsdlEntityContainer setSingletons(List<CsdlSingleton> singletons)

      Sets singletons.
      Parameters:
        `singletons` - the singletons
      Returns:
        the singletons

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlEntityContainer setAnnotations(List<CsdlAnnotation> annotations)

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.